import * as React from 'react';
import { FileuploadTypes, UploadStates } from './FileUploadComponent';
interface FileUploadFormComponentProps {
    name: string;
    label: string;
    buttonMessage: string;
    disabled?: boolean;
    fileUrl: string;
    isRequired?: boolean;
    placeholder?: string;
    ariaLabel?: string;
    helperText?: string;
    maxItems?: number;
    avatarImg?: string;
    maxHeight?: string | number;
    removeMessage?: string;
    uploadState: UploadStates;
    fileuploadType: FileuploadTypes;
    fileTypesAllowed?: string[];
    maxSize?: number;
    readonly?: boolean;
    uniqueId?: string;
    value?: string;
    onChange: (fileData: FileList) => void;
}
export declare const FileUploadFormComponent: React.FC<FileUploadFormComponentProps>;
export {};
